eoProportionalSelect(3)

NAME
eoProportionalSelect - eoProportionalSelect: select an individual proportional to her stored fitness value

SYNOPSIS

#include <eoProportionalSelect.h>

Inherits eoSelectOne< EOT >.

  Public Member Functions
eoProportionalSelect (const eoPop< EOT > &pop=eoPop< EOT >())
Sanity check.
void setup (const eoPop< EOT > &_pop)
virtual function to setup some population stats (for instance eoProportional can benefit greatly from this)
const EOT & operator() (const eoPop< EOT > &_pop)
do the selection,

  Private Types
typedef std::vector< typename EOT::Fitness > FitVec

  Private Attributes
FitVec cumulative

Detailed Description

  template<class EOT> class eoProportionalSelect< EOT >
eoProportionalSelect: select an individual proportional to her stored fitness value Changed the algorithm to make use of a cumulative array of fitness scores, This changes the algorithm from O(n) per call to O(log n) per call. (MK)

Definition at line 45 of file eoProportionalSelect.h.

Author

Generated automatically by Doxygen for EO from the source code.